	component NEEK10_QSYS is
		port (
			bts_status_external_connection_export      : in    std_logic := 'X'; -- export
			clk_clk                                    : in    std_logic := 'X'; -- clk
			reset_reset_n                              : in    std_logic := 'X'; -- reset_n
			rh_temp_drdy_n_external_connection_export  : in    std_logic := 'X'; -- export
			rh_temp_i2c_scl_external_connection_export : out   std_logic;        -- export
			rh_temp_i2c_sda_external_connection_export : inout std_logic := 'X'; -- export
			tmd_status_external_connection_export      : in    std_logic := 'X'; -- export
			uart_external_connection_rxd               : in    std_logic := 'X'; -- rxd
			uart_external_connection_txd               : out   std_logic;        -- txd
			uart_external_connection_cts_n             : in    std_logic := 'X'; -- cts_n
			uart_external_connection_rts_n             : out   std_logic;        -- rts_n
			altpll_locked_conduit_export               : out   std_logic;        -- export
			altpll_areset_conduit_export               : in    std_logic := 'X'; -- export
			altpll_phasedone_conduit_export            : out   std_logic         -- export
		);
	end component NEEK10_QSYS;

	u0 : component NEEK10_QSYS
		port map (
			bts_status_external_connection_export      => CONNECTED_TO_bts_status_external_connection_export,      --      bts_status_external_connection.export
			clk_clk                                    => CONNECTED_TO_clk_clk,                                    --                                 clk.clk
			reset_reset_n                              => CONNECTED_TO_reset_reset_n,                              --                               reset.reset_n
			rh_temp_drdy_n_external_connection_export  => CONNECTED_TO_rh_temp_drdy_n_external_connection_export,  --  rh_temp_drdy_n_external_connection.export
			rh_temp_i2c_scl_external_connection_export => CONNECTED_TO_rh_temp_i2c_scl_external_connection_export, -- rh_temp_i2c_scl_external_connection.export
			rh_temp_i2c_sda_external_connection_export => CONNECTED_TO_rh_temp_i2c_sda_external_connection_export, -- rh_temp_i2c_sda_external_connection.export
			tmd_status_external_connection_export      => CONNECTED_TO_tmd_status_external_connection_export,      --      tmd_status_external_connection.export
			uart_external_connection_rxd               => CONNECTED_TO_uart_external_connection_rxd,               --            uart_external_connection.rxd
			uart_external_connection_txd               => CONNECTED_TO_uart_external_connection_txd,               --                                    .txd
			uart_external_connection_cts_n             => CONNECTED_TO_uart_external_connection_cts_n,             --                                    .cts_n
			uart_external_connection_rts_n             => CONNECTED_TO_uart_external_connection_rts_n,             --                                    .rts_n
			altpll_locked_conduit_export               => CONNECTED_TO_altpll_locked_conduit_export,               --               altpll_locked_conduit.export
			altpll_areset_conduit_export               => CONNECTED_TO_altpll_areset_conduit_export,               --               altpll_areset_conduit.export
			altpll_phasedone_conduit_export            => CONNECTED_TO_altpll_phasedone_conduit_export             --            altpll_phasedone_conduit.export
		);

