// NEEK10_QSYS.v

// Generated using ACDS version 15.0 145

`timescale 1 ps / 1 ps
module NEEK10_QSYS (
		input  wire  altpll_areset_conduit_export,               //               altpll_areset_conduit.export
		output wire  altpll_locked_conduit_export,               //               altpll_locked_conduit.export
		output wire  altpll_phasedone_conduit_export,            //            altpll_phasedone_conduit.export
		input  wire  bts_status_external_connection_export,      //      bts_status_external_connection.export
		input  wire  clk_clk,                                    //                                 clk.clk
		input  wire  reset_reset_n,                              //                               reset.reset_n
		input  wire  rh_temp_drdy_n_external_connection_export,  //  rh_temp_drdy_n_external_connection.export
		output wire  rh_temp_i2c_scl_external_connection_export, // rh_temp_i2c_scl_external_connection.export
		inout  wire  rh_temp_i2c_sda_external_connection_export, // rh_temp_i2c_sda_external_connection.export
		input  wire  tmd_status_external_connection_export,      //      tmd_status_external_connection.export
		input  wire  uart_external_connection_rxd,               //            uart_external_connection.rxd
		output wire  uart_external_connection_txd,               //                                    .txd
		input  wire  uart_external_connection_cts_n,             //                                    .cts_n
		output wire  uart_external_connection_rts_n              //                                    .rts_n
	);

	wire         altpll_c0_clk;                                               // altpll:c0 -> [mm_clock_crossing_bridge:s0_clk, mm_interconnect_0:altpll_c0_clk, mm_interconnect_1:altpll_c0_clk, rh_temp_drdy_n:clk, rh_temp_i2c_scl:clk, rh_temp_i2c_sda:clk, rst_controller_002:clk]
	wire  [31:0] cpu_data_master_readdata;                                    // mm_interconnect_0:cpu_data_master_readdata -> cpu:d_readdata
	wire         cpu_data_master_waitrequest;                                 // mm_interconnect_0:cpu_data_master_waitrequest -> cpu:d_waitrequest
	wire         cpu_data_master_debugaccess;                                 // cpu:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:cpu_data_master_debugaccess
	wire  [24:0] cpu_data_master_address;                                     // cpu:d_address -> mm_interconnect_0:cpu_data_master_address
	wire   [3:0] cpu_data_master_byteenable;                                  // cpu:d_byteenable -> mm_interconnect_0:cpu_data_master_byteenable
	wire         cpu_data_master_read;                                        // cpu:d_read -> mm_interconnect_0:cpu_data_master_read
	wire         cpu_data_master_readdatavalid;                               // mm_interconnect_0:cpu_data_master_readdatavalid -> cpu:d_readdatavalid
	wire         cpu_data_master_write;                                       // cpu:d_write -> mm_interconnect_0:cpu_data_master_write
	wire  [31:0] cpu_data_master_writedata;                                   // cpu:d_writedata -> mm_interconnect_0:cpu_data_master_writedata
	wire  [31:0] cpu_instruction_master_readdata;                             // mm_interconnect_0:cpu_instruction_master_readdata -> cpu:i_readdata
	wire         cpu_instruction_master_waitrequest;                          // mm_interconnect_0:cpu_instruction_master_waitrequest -> cpu:i_waitrequest
	wire  [24:0] cpu_instruction_master_address;                              // cpu:i_address -> mm_interconnect_0:cpu_instruction_master_address
	wire         cpu_instruction_master_read;                                 // cpu:i_read -> mm_interconnect_0:cpu_instruction_master_read
	wire         cpu_instruction_master_readdatavalid;                        // mm_interconnect_0:cpu_instruction_master_readdatavalid -> cpu:i_readdatavalid
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;    // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;      // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;   // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;         // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire  [31:0] mm_interconnect_0_sysid_qsys_control_slave_readdata;         // sysid_qsys:readdata -> mm_interconnect_0:sysid_qsys_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_qsys_control_slave_address;          // mm_interconnect_0:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_readdata;              // cpu:debug_mem_slave_readdata -> mm_interconnect_0:cpu_debug_mem_slave_readdata
	wire         mm_interconnect_0_cpu_debug_mem_slave_waitrequest;           // cpu:debug_mem_slave_waitrequest -> mm_interconnect_0:cpu_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_cpu_debug_mem_slave_debugaccess;           // mm_interconnect_0:cpu_debug_mem_slave_debugaccess -> cpu:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_cpu_debug_mem_slave_address;               // mm_interconnect_0:cpu_debug_mem_slave_address -> cpu:debug_mem_slave_address
	wire         mm_interconnect_0_cpu_debug_mem_slave_read;                  // mm_interconnect_0:cpu_debug_mem_slave_read -> cpu:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_cpu_debug_mem_slave_byteenable;            // mm_interconnect_0:cpu_debug_mem_slave_byteenable -> cpu:debug_mem_slave_byteenable
	wire         mm_interconnect_0_cpu_debug_mem_slave_write;                 // mm_interconnect_0:cpu_debug_mem_slave_write -> cpu:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_writedata;             // mm_interconnect_0:cpu_debug_mem_slave_writedata -> cpu:debug_mem_slave_writedata
	wire  [31:0] mm_interconnect_0_altpll_pll_slave_readdata;                 // altpll:readdata -> mm_interconnect_0:altpll_pll_slave_readdata
	wire   [1:0] mm_interconnect_0_altpll_pll_slave_address;                  // mm_interconnect_0:altpll_pll_slave_address -> altpll:address
	wire         mm_interconnect_0_altpll_pll_slave_read;                     // mm_interconnect_0:altpll_pll_slave_read -> altpll:read
	wire         mm_interconnect_0_altpll_pll_slave_write;                    // mm_interconnect_0:altpll_pll_slave_write -> altpll:write
	wire  [31:0] mm_interconnect_0_altpll_pll_slave_writedata;                // mm_interconnect_0:altpll_pll_slave_writedata -> altpll:writedata
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata;      // mm_clock_crossing_bridge:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdata
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest;   // mm_clock_crossing_bridge:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_s0_waitrequest
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess;   // mm_interconnect_0:mm_clock_crossing_bridge_s0_debugaccess -> mm_clock_crossing_bridge:s0_debugaccess
	wire   [9:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_address;       // mm_interconnect_0:mm_clock_crossing_bridge_s0_address -> mm_clock_crossing_bridge:s0_address
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_read;          // mm_interconnect_0:mm_clock_crossing_bridge_s0_read -> mm_clock_crossing_bridge:s0_read
	wire   [3:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_byteenable -> mm_clock_crossing_bridge:s0_byteenable
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid; // mm_clock_crossing_bridge:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdatavalid
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_write;         // mm_interconnect_0:mm_clock_crossing_bridge_s0_write -> mm_clock_crossing_bridge:s0_write
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata;     // mm_interconnect_0:mm_clock_crossing_bridge_s0_writedata -> mm_clock_crossing_bridge:s0_writedata
	wire   [0:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_burstcount -> mm_clock_crossing_bridge:s0_burstcount
	wire         mm_interconnect_0_onchip_memory2_s1_chipselect;              // mm_interconnect_0:onchip_memory2_s1_chipselect -> onchip_memory2:chipselect
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_readdata;                // onchip_memory2:readdata -> mm_interconnect_0:onchip_memory2_s1_readdata
	wire  [15:0] mm_interconnect_0_onchip_memory2_s1_address;                 // mm_interconnect_0:onchip_memory2_s1_address -> onchip_memory2:address
	wire   [3:0] mm_interconnect_0_onchip_memory2_s1_byteenable;              // mm_interconnect_0:onchip_memory2_s1_byteenable -> onchip_memory2:byteenable
	wire         mm_interconnect_0_onchip_memory2_s1_write;                   // mm_interconnect_0:onchip_memory2_s1_write -> onchip_memory2:write
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_writedata;               // mm_interconnect_0:onchip_memory2_s1_writedata -> onchip_memory2:writedata
	wire         mm_interconnect_0_onchip_memory2_s1_clken;                   // mm_interconnect_0:onchip_memory2_s1_clken -> onchip_memory2:clken
	wire         mm_interconnect_0_timer_s1_chipselect;                       // mm_interconnect_0:timer_s1_chipselect -> timer:chipselect
	wire  [15:0] mm_interconnect_0_timer_s1_readdata;                         // timer:readdata -> mm_interconnect_0:timer_s1_readdata
	wire   [2:0] mm_interconnect_0_timer_s1_address;                          // mm_interconnect_0:timer_s1_address -> timer:address
	wire         mm_interconnect_0_timer_s1_write;                            // mm_interconnect_0:timer_s1_write -> timer:write_n
	wire  [15:0] mm_interconnect_0_timer_s1_writedata;                        // mm_interconnect_0:timer_s1_writedata -> timer:writedata
	wire         mm_interconnect_0_uart_s1_chipselect;                        // mm_interconnect_0:uart_s1_chipselect -> uart:chipselect
	wire  [15:0] mm_interconnect_0_uart_s1_readdata;                          // uart:readdata -> mm_interconnect_0:uart_s1_readdata
	wire   [2:0] mm_interconnect_0_uart_s1_address;                           // mm_interconnect_0:uart_s1_address -> uart:address
	wire         mm_interconnect_0_uart_s1_read;                              // mm_interconnect_0:uart_s1_read -> uart:read_n
	wire         mm_interconnect_0_uart_s1_begintransfer;                     // mm_interconnect_0:uart_s1_begintransfer -> uart:begintransfer
	wire         mm_interconnect_0_uart_s1_write;                             // mm_interconnect_0:uart_s1_write -> uart:write_n
	wire  [15:0] mm_interconnect_0_uart_s1_writedata;                         // mm_interconnect_0:uart_s1_writedata -> uart:writedata
	wire  [31:0] mm_interconnect_0_tmd_status_s1_readdata;                    // tmd_status:readdata -> mm_interconnect_0:tmd_status_s1_readdata
	wire   [1:0] mm_interconnect_0_tmd_status_s1_address;                     // mm_interconnect_0:tmd_status_s1_address -> tmd_status:address
	wire  [31:0] mm_interconnect_0_bts_status_s1_readdata;                    // bts_status:readdata -> mm_interconnect_0:bts_status_s1_readdata
	wire   [1:0] mm_interconnect_0_bts_status_s1_address;                     // mm_interconnect_0:bts_status_s1_address -> bts_status:address
	wire         mm_clock_crossing_bridge_m0_waitrequest;                     // mm_interconnect_1:mm_clock_crossing_bridge_m0_waitrequest -> mm_clock_crossing_bridge:m0_waitrequest
	wire  [31:0] mm_clock_crossing_bridge_m0_readdata;                        // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdata -> mm_clock_crossing_bridge:m0_readdata
	wire         mm_clock_crossing_bridge_m0_debugaccess;                     // mm_clock_crossing_bridge:m0_debugaccess -> mm_interconnect_1:mm_clock_crossing_bridge_m0_debugaccess
	wire   [9:0] mm_clock_crossing_bridge_m0_address;                         // mm_clock_crossing_bridge:m0_address -> mm_interconnect_1:mm_clock_crossing_bridge_m0_address
	wire         mm_clock_crossing_bridge_m0_read;                            // mm_clock_crossing_bridge:m0_read -> mm_interconnect_1:mm_clock_crossing_bridge_m0_read
	wire   [3:0] mm_clock_crossing_bridge_m0_byteenable;                      // mm_clock_crossing_bridge:m0_byteenable -> mm_interconnect_1:mm_clock_crossing_bridge_m0_byteenable
	wire         mm_clock_crossing_bridge_m0_readdatavalid;                   // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdatavalid -> mm_clock_crossing_bridge:m0_readdatavalid
	wire  [31:0] mm_clock_crossing_bridge_m0_writedata;                       // mm_clock_crossing_bridge:m0_writedata -> mm_interconnect_1:mm_clock_crossing_bridge_m0_writedata
	wire         mm_clock_crossing_bridge_m0_write;                           // mm_clock_crossing_bridge:m0_write -> mm_interconnect_1:mm_clock_crossing_bridge_m0_write
	wire   [0:0] mm_clock_crossing_bridge_m0_burstcount;                      // mm_clock_crossing_bridge:m0_burstcount -> mm_interconnect_1:mm_clock_crossing_bridge_m0_burstcount
	wire  [31:0] mm_interconnect_1_rh_temp_drdy_n_s1_readdata;                // rh_temp_drdy_n:readdata -> mm_interconnect_1:rh_temp_drdy_n_s1_readdata
	wire   [1:0] mm_interconnect_1_rh_temp_drdy_n_s1_address;                 // mm_interconnect_1:rh_temp_drdy_n_s1_address -> rh_temp_drdy_n:address
	wire         mm_interconnect_1_rh_temp_i2c_sda_s1_chipselect;             // mm_interconnect_1:rh_temp_i2c_sda_s1_chipselect -> rh_temp_i2c_sda:chipselect
	wire  [31:0] mm_interconnect_1_rh_temp_i2c_sda_s1_readdata;               // rh_temp_i2c_sda:readdata -> mm_interconnect_1:rh_temp_i2c_sda_s1_readdata
	wire   [1:0] mm_interconnect_1_rh_temp_i2c_sda_s1_address;                // mm_interconnect_1:rh_temp_i2c_sda_s1_address -> rh_temp_i2c_sda:address
	wire         mm_interconnect_1_rh_temp_i2c_sda_s1_write;                  // mm_interconnect_1:rh_temp_i2c_sda_s1_write -> rh_temp_i2c_sda:write_n
	wire  [31:0] mm_interconnect_1_rh_temp_i2c_sda_s1_writedata;              // mm_interconnect_1:rh_temp_i2c_sda_s1_writedata -> rh_temp_i2c_sda:writedata
	wire         mm_interconnect_1_rh_temp_i2c_scl_s1_chipselect;             // mm_interconnect_1:rh_temp_i2c_scl_s1_chipselect -> rh_temp_i2c_scl:chipselect
	wire  [31:0] mm_interconnect_1_rh_temp_i2c_scl_s1_readdata;               // rh_temp_i2c_scl:readdata -> mm_interconnect_1:rh_temp_i2c_scl_s1_readdata
	wire   [1:0] mm_interconnect_1_rh_temp_i2c_scl_s1_address;                // mm_interconnect_1:rh_temp_i2c_scl_s1_address -> rh_temp_i2c_scl:address
	wire         mm_interconnect_1_rh_temp_i2c_scl_s1_write;                  // mm_interconnect_1:rh_temp_i2c_scl_s1_write -> rh_temp_i2c_scl:write_n
	wire  [31:0] mm_interconnect_1_rh_temp_i2c_scl_s1_writedata;              // mm_interconnect_1:rh_temp_i2c_scl_s1_writedata -> rh_temp_i2c_scl:writedata
	wire         irq_mapper_receiver0_irq;                                    // jtag_uart:av_irq -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                    // timer:irq -> irq_mapper:receiver1_irq
	wire         irq_mapper_receiver2_irq;                                    // uart:irq -> irq_mapper:receiver2_irq
	wire  [31:0] cpu_irq_irq;                                                 // irq_mapper:sender_irq -> cpu:irq
	wire         rst_controller_reset_out_reset;                              // rst_controller:reset_out -> [altpll:reset, bts_status:reset_n, jtag_uart:rst_n, mm_clock_crossing_bridge:m0_reset, mm_interconnect_0:jtag_uart_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset, onchip_memory2:reset, rst_translator:in_reset, sysid_qsys:reset_n, timer:reset_n, tmd_status:reset_n, uart:reset_n]
	wire         rst_controller_reset_out_reset_req;                          // rst_controller:reset_req -> [onchip_memory2:reset_req, rst_translator:reset_req_in]
	wire         rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [cpu:reset_n, irq_mapper:reset, mm_interconnect_0:cpu_reset_reset_bridge_in_reset_reset]
	wire         rst_controller_001_reset_out_reset_req;                      // rst_controller_001:reset_req -> [cpu:reset_req, rst_translator_001:reset_req_in]
	wire         cpu_debug_reset_request_reset;                               // cpu:debug_reset_request -> rst_controller_001:reset_in1
	wire         rst_controller_002_reset_out_reset;                          // rst_controller_002:reset_out -> [mm_clock_crossing_bridge:s0_reset, mm_interconnect_0:mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:rh_temp_drdy_n_reset_reset_bridge_in_reset_reset, rh_temp_drdy_n:reset_n, rh_temp_i2c_scl:reset_n, rh_temp_i2c_sda:reset_n]

	NEEK10_QSYS_altpll altpll (
		.clk       (clk_clk),                                      //       inclk_interface.clk
		.reset     (rst_controller_reset_out_reset),               // inclk_interface_reset.reset
		.read      (mm_interconnect_0_altpll_pll_slave_read),      //             pll_slave.read
		.write     (mm_interconnect_0_altpll_pll_slave_write),     //                      .write
		.address   (mm_interconnect_0_altpll_pll_slave_address),   //                      .address
		.readdata  (mm_interconnect_0_altpll_pll_slave_readdata),  //                      .readdata
		.writedata (mm_interconnect_0_altpll_pll_slave_writedata), //                      .writedata
		.c0        (altpll_c0_clk),                                //                    c0.clk
		.areset    (altpll_areset_conduit_export),                 //        areset_conduit.export
		.locked    (altpll_locked_conduit_export),                 //        locked_conduit.export
		.phasedone (altpll_phasedone_conduit_export)               //     phasedone_conduit.export
	);

	NEEK10_QSYS_bts_status bts_status (
		.clk      (clk_clk),                                  //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_0_bts_status_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_bts_status_s1_readdata), //                    .readdata
		.in_port  (bts_status_external_connection_export)     // external_connection.export
	);

	NEEK10_QSYS_cpu cpu (
		.clk                                 (clk_clk),                                           //                       clk.clk
		.reset_n                             (~rst_controller_001_reset_out_reset),               //                     reset.reset_n
		.reset_req                           (rst_controller_001_reset_out_reset_req),            //                          .reset_req
		.d_address                           (cpu_data_master_address),                           //               data_master.address
		.d_byteenable                        (cpu_data_master_byteenable),                        //                          .byteenable
		.d_read                              (cpu_data_master_read),                              //                          .read
		.d_readdata                          (cpu_data_master_readdata),                          //                          .readdata
		.d_waitrequest                       (cpu_data_master_waitrequest),                       //                          .waitrequest
		.d_write                             (cpu_data_master_write),                             //                          .write
		.d_writedata                         (cpu_data_master_writedata),                         //                          .writedata
		.d_readdatavalid                     (cpu_data_master_readdatavalid),                     //                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (cpu_data_master_debugaccess),                       //                          .debugaccess
		.i_address                           (cpu_instruction_master_address),                    //        instruction_master.address
		.i_read                              (cpu_instruction_master_read),                       //                          .read
		.i_readdata                          (cpu_instruction_master_readdata),                   //                          .readdata
		.i_waitrequest                       (cpu_instruction_master_waitrequest),                //                          .waitrequest
		.i_readdatavalid                     (cpu_instruction_master_readdatavalid),              //                          .readdatavalid
		.irq                                 (cpu_irq_irq),                                       //                       irq.irq
		.debug_reset_request                 (cpu_debug_reset_request_reset),                     //       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_cpu_debug_mem_slave_address),     //           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_cpu_debug_mem_slave_byteenable),  //                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_cpu_debug_mem_slave_debugaccess), //                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_cpu_debug_mem_slave_read),        //                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_cpu_debug_mem_slave_readdata),    //                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_cpu_debug_mem_slave_waitrequest), //                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_cpu_debug_mem_slave_write),       //                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_cpu_debug_mem_slave_writedata),   //                          .writedata
		.dummy_ci_port                       ()                                                   // custom_instruction_master.readra
	);

	NEEK10_QSYS_jtag_uart jtag_uart (
		.clk            (clk_clk),                                                   //               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_mapper_receiver0_irq)                                   //               irq.irq
	);

	altera_avalon_mm_clock_crossing_bridge #(
		.DATA_WIDTH          (32),
		.SYMBOL_WIDTH        (8),
		.HDL_ADDR_WIDTH      (10),
		.BURSTCOUNT_WIDTH    (1),
		.COMMAND_FIFO_DEPTH  (4),
		.RESPONSE_FIFO_DEPTH (4),
		.MASTER_SYNC_DEPTH   (2),
		.SLAVE_SYNC_DEPTH    (2)
	) mm_clock_crossing_bridge (
		.m0_clk           (clk_clk),                                                     //   m0_clk.clk
		.m0_reset         (rst_controller_reset_out_reset),                              // m0_reset.reset
		.s0_clk           (altpll_c0_clk),                                               //   s0_clk.clk
		.s0_reset         (rst_controller_002_reset_out_reset),                          // s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_m0_waitrequest),                     //       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_m0_readdata),                        //         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_m0_readdatavalid),                   //         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_m0_burstcount),                      //         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_m0_writedata),                       //         .writedata
		.m0_address       (mm_clock_crossing_bridge_m0_address),                         //         .address
		.m0_write         (mm_clock_crossing_bridge_m0_write),                           //         .write
		.m0_read          (mm_clock_crossing_bridge_m0_read),                            //         .read
		.m0_byteenable    (mm_clock_crossing_bridge_m0_byteenable),                      //         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_m0_debugaccess)                      //         .debugaccess
	);

	NEEK10_QSYS_onchip_memory2 onchip_memory2 (
		.clk        (clk_clk),                                        //   clk1.clk
		.address    (mm_interconnect_0_onchip_memory2_s1_address),    //     s1.address
		.clken      (mm_interconnect_0_onchip_memory2_s1_clken),      //       .clken
		.chipselect (mm_interconnect_0_onchip_memory2_s1_chipselect), //       .chipselect
		.write      (mm_interconnect_0_onchip_memory2_s1_write),      //       .write
		.readdata   (mm_interconnect_0_onchip_memory2_s1_readdata),   //       .readdata
		.writedata  (mm_interconnect_0_onchip_memory2_s1_writedata),  //       .writedata
		.byteenable (mm_interconnect_0_onchip_memory2_s1_byteenable), //       .byteenable
		.reset      (rst_controller_reset_out_reset),                 // reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req)              //       .reset_req
	);

	NEEK10_QSYS_rh_temp_drdy_n rh_temp_drdy_n (
		.clk      (altpll_c0_clk),                                //                 clk.clk
		.reset_n  (~rst_controller_002_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_1_rh_temp_drdy_n_s1_address),  //                  s1.address
		.readdata (mm_interconnect_1_rh_temp_drdy_n_s1_readdata), //                    .readdata
		.in_port  (rh_temp_drdy_n_external_connection_export)     // external_connection.export
	);

	NEEK10_QSYS_rh_temp_i2c_scl rh_temp_i2c_scl (
		.clk        (altpll_c0_clk),                                   //                 clk.clk
		.reset_n    (~rst_controller_002_reset_out_reset),             //               reset.reset_n
		.address    (mm_interconnect_1_rh_temp_i2c_scl_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_rh_temp_i2c_scl_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_rh_temp_i2c_scl_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_rh_temp_i2c_scl_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_rh_temp_i2c_scl_s1_readdata),   //                    .readdata
		.out_port   (rh_temp_i2c_scl_external_connection_export)       // external_connection.export
	);

	NEEK10_QSYS_rh_temp_i2c_sda rh_temp_i2c_sda (
		.clk        (altpll_c0_clk),                                   //                 clk.clk
		.reset_n    (~rst_controller_002_reset_out_reset),             //               reset.reset_n
		.address    (mm_interconnect_1_rh_temp_i2c_sda_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_rh_temp_i2c_sda_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_rh_temp_i2c_sda_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_rh_temp_i2c_sda_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_rh_temp_i2c_sda_s1_readdata),   //                    .readdata
		.bidir_port (rh_temp_i2c_sda_external_connection_export)       // external_connection.export
	);

	NEEK10_QSYS_sysid_qsys sysid_qsys (
		.clock    (clk_clk),                                             //           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //         reset.reset_n
		.readdata (mm_interconnect_0_sysid_qsys_control_slave_readdata), // control_slave.readdata
		.address  (mm_interconnect_0_sysid_qsys_control_slave_address)   //              .address
	);

	NEEK10_QSYS_timer timer (
		.clk        (clk_clk),                               //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       // reset.reset_n
		.address    (mm_interconnect_0_timer_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_timer_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_timer_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_timer_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_timer_s1_write),     //      .write_n
		.irq        (irq_mapper_receiver1_irq)               //   irq.irq
	);

	NEEK10_QSYS_bts_status tmd_status (
		.clk      (clk_clk),                                  //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_0_tmd_status_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_tmd_status_s1_readdata), //                    .readdata
		.in_port  (tmd_status_external_connection_export)     // external_connection.export
	);

	NEEK10_QSYS_uart uart (
		.clk           (clk_clk),                                 //                 clk.clk
		.reset_n       (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address       (mm_interconnect_0_uart_s1_address),       //                  s1.address
		.begintransfer (mm_interconnect_0_uart_s1_begintransfer), //                    .begintransfer
		.chipselect    (mm_interconnect_0_uart_s1_chipselect),    //                    .chipselect
		.read_n        (~mm_interconnect_0_uart_s1_read),         //                    .read_n
		.write_n       (~mm_interconnect_0_uart_s1_write),        //                    .write_n
		.writedata     (mm_interconnect_0_uart_s1_writedata),     //                    .writedata
		.readdata      (mm_interconnect_0_uart_s1_readdata),      //                    .readdata
		.dataavailable (),                                        //                    .dataavailable
		.readyfordata  (),                                        //                    .readyfordata
		.rxd           (uart_external_connection_rxd),            // external_connection.export
		.txd           (uart_external_connection_txd),            //                    .export
		.cts_n         (uart_external_connection_cts_n),          //                    .export
		.rts_n         (uart_external_connection_rts_n),          //                    .export
		.irq           (irq_mapper_receiver2_irq)                 //                 irq.irq
	);

	NEEK10_QSYS_mm_interconnect_0 mm_interconnect_0 (
		.altpll_c0_clk                                                 (altpll_c0_clk),                                               //                                               altpll_c0.clk
		.clk_50_clk_clk                                                (clk_clk),                                                     //                                              clk_50_clk.clk
		.cpu_reset_reset_bridge_in_reset_reset                         (rst_controller_001_reset_out_reset),                          //                         cpu_reset_reset_bridge_in_reset.reset
		.jtag_uart_reset_reset_bridge_in_reset_reset                   (rst_controller_reset_out_reset),                              //                   jtag_uart_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),                          // mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset.reset
		.cpu_data_master_address                                       (cpu_data_master_address),                                     //                                         cpu_data_master.address
		.cpu_data_master_waitrequest                                   (cpu_data_master_waitrequest),                                 //                                                        .waitrequest
		.cpu_data_master_byteenable                                    (cpu_data_master_byteenable),                                  //                                                        .byteenable
		.cpu_data_master_read                                          (cpu_data_master_read),                                        //                                                        .read
		.cpu_data_master_readdata                                      (cpu_data_master_readdata),                                    //                                                        .readdata
		.cpu_data_master_readdatavalid                                 (cpu_data_master_readdatavalid),                               //                                                        .readdatavalid
		.cpu_data_master_write                                         (cpu_data_master_write),                                       //                                                        .write
		.cpu_data_master_writedata                                     (cpu_data_master_writedata),                                   //                                                        .writedata
		.cpu_data_master_debugaccess                                   (cpu_data_master_debugaccess),                                 //                                                        .debugaccess
		.cpu_instruction_master_address                                (cpu_instruction_master_address),                              //                                  cpu_instruction_master.address
		.cpu_instruction_master_waitrequest                            (cpu_instruction_master_waitrequest),                          //                                                        .waitrequest
		.cpu_instruction_master_read                                   (cpu_instruction_master_read),                                 //                                                        .read
		.cpu_instruction_master_readdata                               (cpu_instruction_master_readdata),                             //                                                        .readdata
		.cpu_instruction_master_readdatavalid                          (cpu_instruction_master_readdatavalid),                        //                                                        .readdatavalid
		.altpll_pll_slave_address                                      (mm_interconnect_0_altpll_pll_slave_address),                  //                                        altpll_pll_slave.address
		.altpll_pll_slave_write                                        (mm_interconnect_0_altpll_pll_slave_write),                    //                                                        .write
		.altpll_pll_slave_read                                         (mm_interconnect_0_altpll_pll_slave_read),                     //                                                        .read
		.altpll_pll_slave_readdata                                     (mm_interconnect_0_altpll_pll_slave_readdata),                 //                                                        .readdata
		.altpll_pll_slave_writedata                                    (mm_interconnect_0_altpll_pll_slave_writedata),                //                                                        .writedata
		.bts_status_s1_address                                         (mm_interconnect_0_bts_status_s1_address),                     //                                           bts_status_s1.address
		.bts_status_s1_readdata                                        (mm_interconnect_0_bts_status_s1_readdata),                    //                                                        .readdata
		.cpu_debug_mem_slave_address                                   (mm_interconnect_0_cpu_debug_mem_slave_address),               //                                     cpu_debug_mem_slave.address
		.cpu_debug_mem_slave_write                                     (mm_interconnect_0_cpu_debug_mem_slave_write),                 //                                                        .write
		.cpu_debug_mem_slave_read                                      (mm_interconnect_0_cpu_debug_mem_slave_read),                  //                                                        .read
		.cpu_debug_mem_slave_readdata                                  (mm_interconnect_0_cpu_debug_mem_slave_readdata),              //                                                        .readdata
		.cpu_debug_mem_slave_writedata                                 (mm_interconnect_0_cpu_debug_mem_slave_writedata),             //                                                        .writedata
		.cpu_debug_mem_slave_byteenable                                (mm_interconnect_0_cpu_debug_mem_slave_byteenable),            //                                                        .byteenable
		.cpu_debug_mem_slave_waitrequest                               (mm_interconnect_0_cpu_debug_mem_slave_waitrequest),           //                                                        .waitrequest
		.cpu_debug_mem_slave_debugaccess                               (mm_interconnect_0_cpu_debug_mem_slave_debugaccess),           //                                                        .debugaccess
		.jtag_uart_avalon_jtag_slave_address                           (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),       //                             jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                             (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),         //                                                        .write
		.jtag_uart_avalon_jtag_slave_read                              (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),          //                                                        .read
		.jtag_uart_avalon_jtag_slave_readdata                          (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),      //                                                        .readdata
		.jtag_uart_avalon_jtag_slave_writedata                         (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),     //                                                        .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                       (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),   //                                                        .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                        (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),    //                                                        .chipselect
		.mm_clock_crossing_bridge_s0_address                           (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //                             mm_clock_crossing_bridge_s0.address
		.mm_clock_crossing_bridge_s0_write                             (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //                                                        .write
		.mm_clock_crossing_bridge_s0_read                              (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //                                                        .read
		.mm_clock_crossing_bridge_s0_readdata                          (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //                                                        .readdata
		.mm_clock_crossing_bridge_s0_writedata                         (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //                                                        .writedata
		.mm_clock_crossing_bridge_s0_burstcount                        (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //                                                        .burstcount
		.mm_clock_crossing_bridge_s0_byteenable                        (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //                                                        .byteenable
		.mm_clock_crossing_bridge_s0_readdatavalid                     (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //                                                        .readdatavalid
		.mm_clock_crossing_bridge_s0_waitrequest                       (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //                                                        .waitrequest
		.mm_clock_crossing_bridge_s0_debugaccess                       (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //                                                        .debugaccess
		.onchip_memory2_s1_address                                     (mm_interconnect_0_onchip_memory2_s1_address),                 //                                       onchip_memory2_s1.address
		.onchip_memory2_s1_write                                       (mm_interconnect_0_onchip_memory2_s1_write),                   //                                                        .write
		.onchip_memory2_s1_readdata                                    (mm_interconnect_0_onchip_memory2_s1_readdata),                //                                                        .readdata
		.onchip_memory2_s1_writedata                                   (mm_interconnect_0_onchip_memory2_s1_writedata),               //                                                        .writedata
		.onchip_memory2_s1_byteenable                                  (mm_interconnect_0_onchip_memory2_s1_byteenable),              //                                                        .byteenable
		.onchip_memory2_s1_chipselect                                  (mm_interconnect_0_onchip_memory2_s1_chipselect),              //                                                        .chipselect
		.onchip_memory2_s1_clken                                       (mm_interconnect_0_onchip_memory2_s1_clken),                   //                                                        .clken
		.sysid_qsys_control_slave_address                              (mm_interconnect_0_sysid_qsys_control_slave_address),          //                                sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                             (mm_interconnect_0_sysid_qsys_control_slave_readdata),         //                                                        .readdata
		.timer_s1_address                                              (mm_interconnect_0_timer_s1_address),                          //                                                timer_s1.address
		.timer_s1_write                                                (mm_interconnect_0_timer_s1_write),                            //                                                        .write
		.timer_s1_readdata                                             (mm_interconnect_0_timer_s1_readdata),                         //                                                        .readdata
		.timer_s1_writedata                                            (mm_interconnect_0_timer_s1_writedata),                        //                                                        .writedata
		.timer_s1_chipselect                                           (mm_interconnect_0_timer_s1_chipselect),                       //                                                        .chipselect
		.tmd_status_s1_address                                         (mm_interconnect_0_tmd_status_s1_address),                     //                                           tmd_status_s1.address
		.tmd_status_s1_readdata                                        (mm_interconnect_0_tmd_status_s1_readdata),                    //                                                        .readdata
		.uart_s1_address                                               (mm_interconnect_0_uart_s1_address),                           //                                                 uart_s1.address
		.uart_s1_write                                                 (mm_interconnect_0_uart_s1_write),                             //                                                        .write
		.uart_s1_read                                                  (mm_interconnect_0_uart_s1_read),                              //                                                        .read
		.uart_s1_readdata                                              (mm_interconnect_0_uart_s1_readdata),                          //                                                        .readdata
		.uart_s1_writedata                                             (mm_interconnect_0_uart_s1_writedata),                         //                                                        .writedata
		.uart_s1_begintransfer                                         (mm_interconnect_0_uart_s1_begintransfer),                     //                                                        .begintransfer
		.uart_s1_chipselect                                            (mm_interconnect_0_uart_s1_chipselect)                         //                                                        .chipselect
	);

	NEEK10_QSYS_mm_interconnect_1 mm_interconnect_1 (
		.altpll_c0_clk                                                 (altpll_c0_clk),                                   //                                               altpll_c0.clk
		.clk_50_clk_clk                                                (clk_clk),                                         //                                              clk_50_clk.clk
		.mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                  // mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset.reset
		.rh_temp_drdy_n_reset_reset_bridge_in_reset_reset              (rst_controller_002_reset_out_reset),              //              rh_temp_drdy_n_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_m0_address                           (mm_clock_crossing_bridge_m0_address),             //                             mm_clock_crossing_bridge_m0.address
		.mm_clock_crossing_bridge_m0_waitrequest                       (mm_clock_crossing_bridge_m0_waitrequest),         //                                                        .waitrequest
		.mm_clock_crossing_bridge_m0_burstcount                        (mm_clock_crossing_bridge_m0_burstcount),          //                                                        .burstcount
		.mm_clock_crossing_bridge_m0_byteenable                        (mm_clock_crossing_bridge_m0_byteenable),          //                                                        .byteenable
		.mm_clock_crossing_bridge_m0_read                              (mm_clock_crossing_bridge_m0_read),                //                                                        .read
		.mm_clock_crossing_bridge_m0_readdata                          (mm_clock_crossing_bridge_m0_readdata),            //                                                        .readdata
		.mm_clock_crossing_bridge_m0_readdatavalid                     (mm_clock_crossing_bridge_m0_readdatavalid),       //                                                        .readdatavalid
		.mm_clock_crossing_bridge_m0_write                             (mm_clock_crossing_bridge_m0_write),               //                                                        .write
		.mm_clock_crossing_bridge_m0_writedata                         (mm_clock_crossing_bridge_m0_writedata),           //                                                        .writedata
		.mm_clock_crossing_bridge_m0_debugaccess                       (mm_clock_crossing_bridge_m0_debugaccess),         //                                                        .debugaccess
		.rh_temp_drdy_n_s1_address                                     (mm_interconnect_1_rh_temp_drdy_n_s1_address),     //                                       rh_temp_drdy_n_s1.address
		.rh_temp_drdy_n_s1_readdata                                    (mm_interconnect_1_rh_temp_drdy_n_s1_readdata),    //                                                        .readdata
		.rh_temp_i2c_scl_s1_address                                    (mm_interconnect_1_rh_temp_i2c_scl_s1_address),    //                                      rh_temp_i2c_scl_s1.address
		.rh_temp_i2c_scl_s1_write                                      (mm_interconnect_1_rh_temp_i2c_scl_s1_write),      //                                                        .write
		.rh_temp_i2c_scl_s1_readdata                                   (mm_interconnect_1_rh_temp_i2c_scl_s1_readdata),   //                                                        .readdata
		.rh_temp_i2c_scl_s1_writedata                                  (mm_interconnect_1_rh_temp_i2c_scl_s1_writedata),  //                                                        .writedata
		.rh_temp_i2c_scl_s1_chipselect                                 (mm_interconnect_1_rh_temp_i2c_scl_s1_chipselect), //                                                        .chipselect
		.rh_temp_i2c_sda_s1_address                                    (mm_interconnect_1_rh_temp_i2c_sda_s1_address),    //                                      rh_temp_i2c_sda_s1.address
		.rh_temp_i2c_sda_s1_write                                      (mm_interconnect_1_rh_temp_i2c_sda_s1_write),      //                                                        .write
		.rh_temp_i2c_sda_s1_readdata                                   (mm_interconnect_1_rh_temp_i2c_sda_s1_readdata),   //                                                        .readdata
		.rh_temp_i2c_sda_s1_writedata                                  (mm_interconnect_1_rh_temp_i2c_sda_s1_writedata),  //                                                        .writedata
		.rh_temp_i2c_sda_s1_chipselect                                 (mm_interconnect_1_rh_temp_i2c_sda_s1_chipselect)  //                                                        .chipselect
	);

	NEEK10_QSYS_irq_mapper irq_mapper (
		.clk           (clk_clk),                            //       clk.clk
		.reset         (rst_controller_001_reset_out_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           // receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),           // receiver2.irq
		.sender_irq    (cpu_irq_irq)                         //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.reset_in1      (cpu_debug_reset_request_reset),          // reset_in1.reset
		.clk            (clk_clk),                                //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (altpll_c0_clk),                      //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
